org.eclipse.jetty.server

## Interface AsyncContext

All Known Implementing Classes:
  AsyncContinuation

    public interface AsyncContext

### Field Summary

Fields
`static String` `ASYNC_CONTEXT_PATH`
`static String` `ASYNC_PATH_INFO`
`static String` `ASYNC_QUERY_STRING`
`static String` `ASYNC_REQUEST_URI`
`static String` `ASYNC_SERVLET_PATH`

### Method Summary

Methods
`void` `addContinuationListener(ContinuationListener listener)`
`void` `complete()`
`void` `dispatch()`
`void` `dispatch(javax.servlet.ServletContext context, String path)`
`void` `dispatch(String path)`
`javax.servlet.ServletRequest` `getRequest()`
`javax.servlet.ServletResponse` `getResponse()`
`boolean` `hasOriginalRequestAndResponse()`
`void` `setTimeout(long ms)`
`void` `start(Runnable run)`

### Field Detail

#### ASYNC_REQUEST_URI

    static final String ASYNC_REQUEST_URI

See Also:
  Constant Field Values

#### ASYNC_CONTEXT_PATH

    static final String ASYNC_CONTEXT_PATH

See Also:
  Constant Field Values

#### ASYNC_PATH_INFO

    static final String ASYNC_PATH_INFO

See Also:
  Constant Field Values

#### ASYNC_SERVLET_PATH

    static final String ASYNC_SERVLET_PATH

See Also:
  Constant Field Values

#### ASYNC_QUERY_STRING

    static final String ASYNC_QUERY_STRING

See Also:
  Constant Field Values

### Method Detail

#### getRequest

    javax.servlet.ServletRequest getRequest()

#### getResponse

    javax.servlet.ServletResponse getResponse()

#### hasOriginalRequestAndResponse

    boolean hasOriginalRequestAndResponse()

#### dispatch

    void dispatch()

#### dispatch

    void dispatch(String path)

#### dispatch

    void dispatch(javax.servlet.ServletContext context,
                String path)

#### complete

    void complete()

#### start

    void start(Runnable run)

#### setTimeout

    void setTimeout(long ms)

#### addContinuationListener

    void addContinuationListener(ContinuationListener listener)